Bug 928420 - [abrt] gparted-0.12.0-4.fc18: gdk_window_set_geometry_hints: Process /usr/sbin/gpartedbin was killed by signal 11 (SIGSEGV)
Summary: [abrt] gparted-0.12.0-4.fc18: gdk_window_set_geometry_hints: Process /usr/sbi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:630effd68f48323fbae8c72a9e1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-27 15:43 UTC by Sergey Kurtsev
Modified: 2013-07-20 09:49 UTC (History)
1 user (show)

Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:43:01 UTC


Attachments (Terms of Use)
File: backtrace (144.22 KB, text/plain)
2013-03-27 15:43 UTC, Sergey Kurtsev
no flags Details
File: cgroup (125 bytes, text/plain)
2013-03-27 15:43 UTC, Sergey Kurtsev
no flags Details
File: core_backtrace (5.36 KB, text/plain)
2013-03-27 15:43 UTC, Sergey Kurtsev
no flags Details
File: dso_list (9.26 KB, text/plain)
2013-03-27 15:43 UTC, Sergey Kurtsev
no flags Details
File: environ (305 bytes, text/plain)
2013-03-27 15:44 UTC, Sergey Kurtsev
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-27 15:44 UTC, Sergey Kurtsev
no flags Details
File: maps (29.92 KB, text/plain)
2013-03-27 15:44 UTC, Sergey Kurtsev
no flags Details
File: open_fds (234 bytes, text/plain)
2013-03-27 15:44 UTC, Sergey Kurtsev
no flags Details
File: proc_pid_status (751 bytes, text/plain)
2013-03-27 15:44 UTC, Sergey Kurtsev
no flags Details
File: var_log_messages (302 bytes, text/plain)
2013-03-27 15:44 UTC, Sergey Kurtsev
no flags Details
File: smolt_data (2.87 KB, application/octet-stream)
2013-03-27 15:44 UTC, Sergey Kurtsev
no flags Details

Description Sergey Kurtsev 2013-03-27 15:43:07 UTC
Version-Release number of selected component:
gparted-0.12.0-4.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: gdk_window_set_geometry_hints
executable:     /usr/sbin/gpartedbin
kernel:         3.7.6-201.fc18.i686.PAE
uid:            0
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_set_geometry_hints at gdkwindow-x11.c:2361
 #1 gtk_window_move_resize at gtkwindow.c:6219
 #2 gtk_window_check_resize at gtkwindow.c:5408
 #4 Gtk::Container_Class::check_resize_callback at container.cc:684
 #5 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #6 g_type_class_meta_marshalv at gclosure.c:997
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 gtk_container_check_resize at gtkcontainer.c:1432
 #11 gtk_container_idle_sizer at gtkcontainer.c:1357
 #17 g_main_context_iteration at gmain.c:3351

Potential duplicate: bug 863814

Comment 1 Sergey Kurtsev 2013-03-27 15:43:15 UTC
Created attachment 717133 [details]
File: backtrace

Comment 2 Sergey Kurtsev 2013-03-27 15:43:32 UTC
Created attachment 717134 [details]
File: cgroup

Comment 3 Sergey Kurtsev 2013-03-27 15:43:44 UTC
Created attachment 717135 [details]
File: core_backtrace

Comment 4 Sergey Kurtsev 2013-03-27 15:43:54 UTC
Created attachment 717136 [details]
File: dso_list

Comment 5 Sergey Kurtsev 2013-03-27 15:44:01 UTC
Created attachment 717137 [details]
File: environ

Comment 6 Sergey Kurtsev 2013-03-27 15:44:05 UTC
Created attachment 717138 [details]
File: limits

Comment 7 Sergey Kurtsev 2013-03-27 15:44:09 UTC
Created attachment 717139 [details]
File: maps

Comment 8 Sergey Kurtsev 2013-03-27 15:44:18 UTC
Created attachment 717140 [details]
File: open_fds

Comment 9 Sergey Kurtsev 2013-03-27 15:44:25 UTC
Created attachment 717141 [details]
File: proc_pid_status

Comment 10 Sergey Kurtsev 2013-03-27 15:44:30 UTC
Created attachment 717142 [details]
File: var_log_messages

Comment 11 Sergey Kurtsev 2013-03-27 15:44:34 UTC
Created attachment 717143 [details]
File: smolt_data

Comment 12 Fedora Update System 2013-06-11 16:36:47 UTC
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18

Comment 13 Fedora Update System 2013-06-11 16:37:46 UTC
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19

Comment 14 Fedora Update System 2013-06-11 16:38:42 UTC
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17

Comment 15 Fedora Update System 2013-06-12 02:37:34 UTC
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2013-07-20 09:43:01 UTC
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-07-20 09:48:41 UTC
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-07-20 09:49:28 UTC
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.